package com.xkrs.dao;

import com.xkrs.model.entity.FirePointEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author XinYi Song
 */
@Component
public interface FirePointDao extends JpaRepository<FirePointEntity,Long> {

    /**
     * 查询今天的火点信息
     * @param addTime
     * @return
     */
    @Query(value = "select * from fire_point where add_time like CONCAT('%',:addTime,'%')",nativeQuery = true)
    List<FirePointEntity> selectTodayFirePoint(String addTime);
}
